require 'cocoapods-headermap/configuration'

module Pod
    class Installer
        alias_method :new_run_podfile_post_install_hooks, :run_podfile_post_install_hooks
        alias_method :new_clean_sandbox, :clean_sandbox

        def run_podfile_post_install_hooks
            unless @pods_project.nil?
                @pods_project.targets.each do |target|
                    target.build_configurations.each do |config|
                        config.build_settings['USE_HEADERMAP'] = 'NO' if Configuration.disable_system_headermap && !Configuration.enabled_headermap_pods.include?(target.name)
                    end
                end
            end
            new_run_podfile_post_install_hooks
        end

        def clean_sandbox(pod_targets)
            new_clean_sandbox(pod_targets)
            sandbox.public_headers.rm_headers_root!
        end
    end
end
