module Pod
    class PodTarget < Target
        alias_method :new_header_search_paths, :header_search_paths

        # Move the mapping files to the top of the array by sorting.
        #
        # Before sort:
        # ["${PODS_ROOT}/Headers/Private/AFNetworking.hmap",
        #  "${PODS_ROOT}/Headers/Private/AFNetworking",
        #  "${PODS_ROOT}/Headers/Public/Public-Header-Maps.hmap",
        #  "${PODS_ROOT}/Headers/Public/AFNetworking"]
        #
        # After sort:
        # ["${PODS_ROOT}/Headers/Private/AFNetworking.hmap", 
        #  "${PODS_ROOT}/Headers/Public/Public-Header-Maps.hmap", 
        #  "${PODS_ROOT}/Headers/Private/AFNetworking", 
        #  "${PODS_ROOT}/Headers/Public/AFNetworking"]
        def header_search_paths(include_dependent_targets_for_test_spec: nil, include_dependent_targets_for_app_spec: nil, include_private_headers: true, configuration: nil)
            paths = new_header_search_paths(:include_dependent_targets_for_test_spec => include_dependent_targets_for_test_spec, :include_dependent_targets_for_app_spec => include_dependent_targets_for_app_spec, :include_private_headers => include_private_headers, :configuration => configuration)
            paths.sort_by { |i| i.split(".").last == "hmap" ? 0 : 1 }
            paths
        end
    end
end
